Bug 459789 - SANE doesn't recognize HP SCANJET G2410
SANE doesn't recognize HP SCANJET G2410
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 07:49 EDT by Volnei
Modified: 2009-01-09 01:44 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:44:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volnei 2008-08-22 07:49:22 EDT
Description of problem:
SANE doesn't recognize HP SCANJET G2410 

Version-Release number of selected component (if applicable):
xsane-0.994-4.fc8
libsane-hpaio-2.8.2-1.fc8
sane-backends-devel-1.0.18-17.fc8
sane-backends-libs-1.0.18-17.fc8
sane-backends-1.0.18-17.fc8
xsane-gimp-0.994-4.fc8


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Aug 22 08:41:47 barney kernel: hub 1-0:1.0: unable to enumerate USB device on port 6
Aug 22 08:41:47 barney kernel: usb 4-2: new full speed USB device using uhci_hcd and address 2
Aug 22 08:41:47 barney kernel: usb 4-2: configuration #1 chosen from 1 choice
Aug 22 08:41:47 barney kernel: usb 4-2: New USB device found, idVendor=03f0, idProduct=0a01
Aug 22 08:41:47 barney kernel: usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=12
Aug 22 08:41:47 barney kernel: usb 4-2: Product: hp scanjet scanner
Aug 22 08:41:47 barney kernel: usb 4-2: Manufacturer: Hewlett-Packard
Aug 22 08:41:47 barney kernel: usb 4-2: SerialNumber: CN7C5S107Z
Aug 22 08:42:04 barney kernel: usb 4-2: USB disconnect, address 2

scanimage -v --test
scanimage: no SANE devices found

sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

  # No USB scanners found. If you expected something different, make sure that
  # you have loaded a kernel driver for your USB host controller and have setup
  # the USB system correctly. See man sane-usb for details.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.



Expected results:


Additional info:
Comment 1 Volnei 2008-08-22 07:54:25 EDT
Sorry, This is the correct sane-find-scanner messages:

sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x03f0 [Hewlett-Packard], product=0x0a01 [hp scanjet scanner], chip=GL646_HP) at libusb:004:003
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.
Comment 2 Bug Zapper 2008-11-26 06:06:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nils Philippsen 2008-12-01 08:37:12 EST
The sane-backends versions in F9 and later have improved permissions handling, please check if you can reproduce the problem on a current Fedora version.
Comment 4 Bug Zapper 2009-01-09 01:44:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.